Get a space by ID
curl --request GET \
--url https://api.quiva.ai/workspaces/space/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiva.ai/workspaces/space/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiva.ai/workspaces/space/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/workspaces/space/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/workspaces/space/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quiva.ai/workspaces/space/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/workspaces/space/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"url": "<string>",
"name": "<string>",
"description": "<string>",
"default_status": "<string>",
"statuses": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>",
"order": 123,
"is_visible": true,
"complete": true,
"role": "<string>"
}
],
"owner": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"record_config_ids": [
"<string>"
],
"default_record_config_id": [
"<string>"
],
"priorities": [
{}
],
"tags": [
{}
],
"staging": true,
"distribution_bindings": [
{
"distribution_id": "<string>",
"product_id": "<string>",
"side": "publisher",
"counterparty_account_id": "<string>",
"counterparty_name": "<string>",
"folder": "<string>",
"required_roles": [
"<string>"
],
"status_map": {},
"bound_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>",
"code": "<string>"
}API Reference
Get a space by ID
GET
/
workspaces
/
space
/
{id}
Get a space by ID
curl --request GET \
--url https://api.quiva.ai/workspaces/space/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiva.ai/workspaces/space/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiva.ai/workspaces/space/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/workspaces/space/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/workspaces/space/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quiva.ai/workspaces/space/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/workspaces/space/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"url": "<string>",
"name": "<string>",
"description": "<string>",
"default_status": "<string>",
"statuses": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>",
"order": 123,
"is_visible": true,
"complete": true,
"role": "<string>"
}
],
"owner": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"record_config_ids": [
"<string>"
],
"default_record_config_id": [
"<string>"
],
"priorities": [
{}
],
"tags": [
{}
],
"staging": true,
"distribution_bindings": [
{
"distribution_id": "<string>",
"product_id": "<string>",
"side": "publisher",
"counterparty_account_id": "<string>",
"counterparty_name": "<string>",
"folder": "<string>",
"required_roles": [
"<string>"
],
"status_map": {},
"bound_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>",
"code": "<string>"
}Authorizations
bearerAuthapiKeyAuth
JWT Authorization header using the Bearer scheme
Path Parameters
Response
Space
UI URL to navigate directly to this space
Show child attributes
Show child attributes
ID of the user who created the space, set by the backend
Marks a space for testing. Only root and admin users can set it. Staging spaces can be reset.
Connections to other accounts. Present on a space connected through distribution.
Show child attributes
Show child attributes